using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NonIntrusive_Debugger
{
    class BreakPoint
    {
        uint bpAddress;
        byte[] originalBytes = new byte[2];

        public void setAddress(uint theAddress)
        {
            this.bpAddress = theAddress;
        }
        public uint getAddress()
        {
            return this.bpAddress;
        }

        public void setOldBytes( byte[] oldBytes)
        {
            Array.Copy(oldBytes,originalBytes,2);
        }

        public byte[] getOldBytes()
        {
            return originalBytes;
        }
    }
}
